Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

upgrade of concurrentlinkedhashmap_lru #326

Merged
merged 1 commit into from Feb 7, 2013

Conversation

Projects
None yet
2 participants
Member

sarmbruster commented Feb 7, 2013

as discussed some time ago on grails-dev I've updated the dependency of concurrentlinkedhashmap_lru to 1.3.1.

Since this change must be in sync with the same update for grails-data-mapping, please apply the both pull-requests at the same time. Also, any new build of grails-core needs to have a updated 1.1.4-SNAPSHOT of grails-datastore-core deployed to repo.grails.org.

The core issue is that concurrentlinkedhashmap_lru 1.2_jdk5 and 1.3.1 are not backwards compatible.

graemerocher added a commit that referenced this pull request Feb 7, 2013

Merge pull request #326 from sarmbruster/master
upgrade of concurrentlinkedhashmap_lru

@graemerocher graemerocher merged commit a6e7d41 into grails:master Feb 7, 2013

Owner

graemerocher commented on c598ecb Feb 7, 2013

I've reverted this for now, since we need to build and publish a new build of grails-datastore-* before this can be upgraded

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment